## gedit 3.36.1

=== meson_options.txt ===
option('introspection',
       type: 'boolean', value: true,
       description: 'Generate GObject Introspection data (requires gobject-introspection)')

option('vapi',
       type: 'boolean', value: true,
       description: 'Generate vapi data for Vala (requires vapigen)')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Build API reference for plugins (requires gtk-doc)')

# This option exists for the developers, to speed up the install.
option('user_documentation',
       type: 'boolean', value: true,
       description: 'Build user documentation')

## gedit 2.27.0~git20090601-0.3

=== debian/changelog ===
gedit (2.27.0~git20090601-0.3) experimental; urgency=low

  * Non-maintainer upload.
  * Git snapshot.
  * Removed patches failed to apply:
     - 03_python_path.patch
     - 99_ltmain_as-needed.patch

 -- Praveen Arimbrathodiyil (A proud GNU user) <pravi.a@gmail.com>  Mon, 01 Jun 2009 20:12:43 -0700

gedit (2.26.1-2) UNRELEASED; urgency=low

  * Break seahorse < 2.24 and seahorse-plugins < 2.26 because of the 
    crash upon exit.
  * Remove scrollkeeper dependency.

 -- Josselin Mouette <joss@debian.org>  Thu, 23 Apr 2009 02:33:35 +0200

gedit (2.26.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Add libglib2.0-doc, libgtk2.0-doc and libgtksourceview2.0-doc to
    b-d-i to ensure proper xrefs.

  [ Luca Bruno ]
  * New upstream release.
  * debian/control.in:
    + Build-Depends version bumps:
      - libgtksourceview2.0-dev to 2.4.0
      - liblibglib2.0-dev to 2.18.0
      - intltool to 0.40.0
    + Update Standards-Version to 3.8.1. No changes needed.
  * debian/patches:
    + Removed 02_externaltools_locale.patch, applied upstream.
    + Updated 03_python_path.patch to use a modified version of the
      upstream patch.
  * debian/gedit.install:
    + Plugins ui files are now installed under share/ in gedit-common.
    + Install usr/lib/gedit-2/plugin-loaders.

  [ Emilio Pozuelo Monfort ]
  * debian/copyright: point to GPL-2 rather than GPL.
  * debian/control.in: remove unneeded Section entries, they are
    inherited from the source.

  [ Josselin Mouette ]
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Wed, 22 Apr 2009 23:48:16 +0200

gedit (2.24.3-1) unstable; urgency=low

  * 02_externaltools_locale.patch: new patch. Use LC_MESSAGES to 
    determine the current language for the external tools.
    Closes: #510572.
  * New upstream release.
  * 03_python_path.patch: new patch. Pass GEDIT_PLUGINDIR 
    to PySys_SetArgv as a big hackish workaround to CVE-2009-0314.
    Closes: #513513.

 -- Josselin Mouette <joss@debian.org>  Sun, 15 Mar 2009 12:17:40 +0100

gedit (2.24.2-1) experimental; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Sun, 04 Jan 2009 10:16:32 +0100

gedit (2.24.1-1) experimental; urgency=low

  [ Loic Minier ]
  * Replace homepage pseudo-field in description with a real source field in
    control.
  * Add note that dh_pysupport call should be made package specific or moved
    to a different target.

  [ Josselin Mouette ]
  * Pass -pgedit to dh_pysupport.
  * New upstream release.
    + Document you need to escape backslashes. Closes: #361399.
  * Massive update to (build-)dependencies, yay.
  * Update list of installed files.
  * Standards version is 3.8.0.
  * Move gedit-bugreport.sh to /usr/share/gedit-2 and without extension.
  * Provide a bug script that executes it for reportbug.
  * 01_gedit-bugreport-location.patch:
    + Update for the new location.
    + Only patch the .in.in file, the other is always overwritten.
  * 99_ltmain_as-needed.patch: updated to apply.
  * Update gedit.menu to the new menu structure.

 -- Josselin Mouette <joss@debian.org>  Fri, 14 Nov 2008 15:31:20 +0100

gedit (2.22.3-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_gedit-bugreport-location.patch,
      debian/patches/99_ltmain_as-needed.patch:
      - Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 29 May 2008 09:52:41 +0200

gedit (2.22.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_gedit-bugreport-location.patch,
      debian/patches/99_ltmain_as-needed.patch:
      - Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 09 Apr 2008 08:47:37 +0200

gedit (2.22.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control.in:
      - Update build dependencies and dependencies.
      - Update Standards-Version to 3.7.3, no additional changes needed.
    + debian/patches/99_ltmain_as-needed.patch:
      - Updated to apply cleanly again.
    + debian/patches/01_gedit-bugreport-location.patch,
      debian/gedit.install:
      - Install the gedit-bugreport.sh script into /usr/lib/gedit-2 instead
        of /usr/lib/gedit/gedit-2.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Mar 2008 00:22:51 +0100

gedit (2.20.4-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 01 Dec 2007 17:07:03 +0100

gedit (2.20.3-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/80_from_svn_load_tool_property_correctly.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Oct 2007 11:26:58 +0200

gedit (2.20.1-2) unstable; urgency=low

  * debian/control.in:
    + Fix python-gtksourceview2 dependency to make gedit installable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 10 Oct 2007 13:18:49 +0200

gedit (2.20.1-1) unstable; urgency=low

  [ Loic Minier ]
  * Drop useless gzip build-dep.

  [ Sebastian Dröge ]
  * New upstream release:
    + debian/control.in:
      - Update build dependencies and dependencies.
    + debian/patches/99_ltmain_as-needed.patch:
      - Updated for the new version.
  * debian/patches/80_from_svn_load_tool_property_correctly.patch:
    + Patch taken from Ubuntu/Upstream SVN to fix external tools loading
      there properties correctly. See Gnome bug #484318.
  * debian/control.in:
    + Build depend on libattr1-dev.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 30 Sep 2007 17:07:44 +0200

gedit (2.18.2-1) unstable; urgency=low

  [ Alan Baghumian ]
  * Added home page link to the description (Closes: #364806).

  [ Josselin Mouette ]
  * 99_ltmain_as-needed.patch: get --as-needed back to work.

  [ Loic Minier ]
  * New upstream stable release; bug fixes and translations.

 -- Loic Minier <lool@dooz.org>  Thu, 05 Jul 2007 14:06:44 +0200

gedit (2.18.1-1) unstable; urgency=low



=== debian/control ===
Source: gedit
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 5.0.37.2),
               gnome-pkg-tools (>= 0.10),
               dpkg-dev (>= 1.13.19),
               python-support (>= 0.3),
               intltool (>= 0.40.0),
               gnome-doc-utils (>= 0.3.2),
               gtk-doc-tools (>= 1.0),
               libenchant-dev (>= 1.2.0),
               iso-codes (>= 0.35),
               libattr1-dev,
               libsm-dev (>= 2:1.0),
               libxml2-dev (>= 2.5.0),
               libglib2.0-dev (>= 2.18.0),
               libgtk2.0-dev (>= 2.13.0),
               libgtksourceview2.0-dev (>= 2.4.0),
               libgconf2-dev,
               python-dev (>= 2.3),
               python-gobject-dev (>= 2.15.4),
               python-gtk2-dev (>= 2.12.0),
               python-gtksourceview2 (>= 2.2.0),
               scrollkeeper
Build-Depends-Indep: libglib2.0-doc,
                     libgtk2.0-doc,
                     libgtksourceview2.0-doc
Standards-Version: 3.8.1
XS-Python-Version: >= 2.3
Homepage: http://www.gnome.org/projects/gedit/

Package: gedit
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         gedit-common (>= ${gnome:Version}),
         gedit-common (<< ${gnome:NextVersion}),
         python-gtksourceview2 (>= 2.2.0),
         python-gobject (>= 2.15.4),
         python-gtk2 (>= 2.12.0),
         iso-codes
Replaces: gedit-common (<< 2.16.2-3)
Conflicts: gedit-common (<= 2.10.5-1)
Breaks: seahorse (<< 2.24), 
        seahorse-plugins (<< 2.26)
Recommends: zenity,
            python-gnome2
XB-Python-Version: ${python:Versions}
Description: official text editor of the GNOME desktop environment
 gedit is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors. gedit is a graphical application which
 supports editing multiple text files in one window (known sometimes as
 tabs or MDI).
 .
 gedit fully supports international text through its use of the Unicode
 UTF-8 encoding in edited files. Its core feature set includes syntax
 highlighting of source code, auto indentation and printing and print preview
 support.
 .
 gedit is also extensible through its plugin system, which currently
 includes support for spell checking, comparing files, viewing CVS
 ChangeLogs, and adjusting indentation levels.

Package: gedit-common
Architecture: all
Depends: ${misc:Depends}
Recommends: gedit
Description: official text editor of the GNOME desktop environment (support files)
 gedit is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors.
 .
 This package contains gedit's architecture-independent support files.

Package: gedit-dev
Architecture: all
Section: devel
Depends: ${misc:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         libgtksourceview2.0-dev (>= 2.2.0)
Replaces: gedit-common (<< 2.16.2-3)
Description: official text editor of the GNOME desktop environment (development files)
 gedit is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors. gedit is a graphical application which
 supports editing multiple text files in one window (known sometimes as
 tabs or MDI).
 .
 gedit fully supports international text through its use of the Unicode
 UTF-8 encoding in edited files. Its core feature set includes syntax
 highlighting of source code, auto indentation and printing and print preview
 support.
 .
 gedit is also extensible through its plugin system, which currently
 includes support for spell checking, comparing files, viewing CVS
 ChangeLogs, and adjusting indentation levels.
 .
 This package is required to build plugins for gedit.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

binary-install/gedit::
	cp debian/gedit.lintian debian/gedit/usr/share/lintian/overrides/gedit
	cd debian/gedit/usr/share/gedit-2 && mv gedit-bugreport.sh gedit-bugreport
	chmod 755 debian/gedit/usr/share/bug/gedit/script
	dh_pysupport -pgedit /usr/lib/gedit-2/plugins

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper

## gedit 2.30.3

=== debian/changelog ===
gedit (2.30.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
  * debian/control.in:
    - Bump gedit-dev depends on libgtksourceview2.0-dev
    - Build-depend on dh-autoreconf, gnome-common
    - Build-depend on liblaunchpad-integration-dev
    - Add Vcs-BZR link
  * debian/rules:
    - Use autoreconf.mk
  * debian/patches/01_lpi.patch:
    - Launchpad integration
  * debian/patches/05_menu_label.patch:
    - Don't display in menu as "gedit Text Editor"
  * debian/patches/06_lp_401692.patch:
    - Default name of a new document is now 'Untitled Document'.
  * debian/patches/07_intltool.patch:
    - Don't use both Intltool and GNU gettext build system
  * debian/patches/90_autoreconf.patch:
    - Obsolete as run from debian/rules
  * debian/watch:
    - Watch unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 13 Aug 2010 14:59:13 +1000

gedit (2.30.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches/04_link_against_libICE.patch
    - Link against libICE so we don't fail with stricter linkers like
      binutils-gold. Closes: #554483
  * debian/patches/90_autoreconf.patch
    - Refresh as 04_link_against_libICE.patch changes configure.ac.
  * debian/control.in
    - Add Vcs-* fields.
    - Drop Build-Depends on dpkg-dev (>= 1.13.19) as even oldstable has a more
      recent version.
    - Bump Standards-Version to 3.9.0. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jul 2010 02:53:39 +0200

gedit (2.30.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/90_autoreconf.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 19 Apr 2010 10:34:50 +0200

gedit (2.30.0-1) unstable; urgency=low

  * New upstream release.
    - End of line conversion fixes. Closes: #480411.
  * debian/control.in:
    - Standards-Version is 3.8.4, no changes needed.
    - Build-Depend:
      - Bump to libglib2.0-dev (>= 2.23.1),
        libgtksourceview2.0-dev (>= 2.9.7), libgtk2.0-dev (>= 2.19.0),
        python-gtksourceview2 (>= 2.9.2) and gnome-doc-utils (>= 0.9.0).
      - Add libx11-dev.
      - Drop libattr1-dev.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk include.
  * debian/patches/02_system_elementtree.patch,
    debian/patches/80_not_using_localmodlibs.patch:
    - Removed, applied upstream.
  * debian/patches/03_python_path.patch,
    debian/patches/90_autoreconf.patch:
    - Refreshed.
  * debian/rules:
    - Remove old lines referring ElementTree.py.

 -- Luca Bruno <lethalman88@gmail.com>  Wed, 07 Apr 2010 08:22:36 +0200

gedit (2.28.3-2) unstable; urgency=low

  * debian/patches/80_not_using_localmodlibs.patch:
    - Patch from Sebastien Bacher to fix the build with Python 2.6
      as the default interpreter. Closes: #571488.
  * debian/control.in:
    - Standards-Version is 3.8.3, no changes needed.
    - Build depend on quilt.
  * debian/rules:
    - Switch to quilt for patch management.
  * debian/patches/03_python_path.patch:
    - Also patch Makefile.am, so that the changes to Makefile.in are
      preserved if we regenerate files.
  * debian/patches/90_autoreconf.patch:
    - Run autoreconf on top of 80_not_using_localmodlibs.patch.
  * debian/patches:
    - Refresh all patches.
  * debian/gedit.lintian-overrides,
    debian/gedit.lintian,
    debian/rules:
    - Rename gedit.lintian as gedit.lintian-overrides so that dh_lintian
      installs it automatically. Thus stop installing it in debian/rules.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 04 Mar 2010 10:02:35 +0100

gedit (2.28.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 20 Dec 2009 03:12:33 +0100

gedit (2.28.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02_system_elementtree.patch,
    debian/rules:
    - Don't install code copies of ElementTree.py, use the system one
      instead. Closes: #555344.
  * debian/control.in:
    - Bump python-dev build dependency and XS-Python-Version to >= 2.5
      for the availability of ElementTree.py.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 11 Nov 2009 22:54:27 +0100

gedit (2.28.1-1) unstable; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 10 Nov 2009 15:09:22 +0100

gedit (2.28.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * New upstream release.
  * Bump build-dep on GTK+.

  [ Andrea Veri ]
  * debian/copyright:
    - added missing copyright headers.

 -- Josselin Mouette <joss@debian.org>  Fri, 25 Sep 2009 20:16:26 +0200

gedit (2.26.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Break seahorse < 2.24 and seahorse-plugins < 2.26 because of the 
    crash upon exit.
  * Remove scrollkeeper dependency.

  [ Emilio Pozuelo Monfort ]
  * debian/patches/03_python_path.patch: add description and upstream
    bug link.

  [ Loïc Minier ]
  * Drop trailing whitespace in control.

  [ Andrea Veri ]
  * New upstream release.
  * debian/control.in:
    - update Standards-version to 3.8.3. No changes needed.

  [ Emilio Pozuelo Monfort ]
  * debian/gedit.lintian:
    - Update the manpage override to match the lintian warning.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 15 Sep 2009 20:25:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,44 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: gedit
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5.0.37.2),
                gnome-pkg-tools (>= 0.10),
-               dpkg-dev (>= 1.13.19),
+               dh-autoreconf,
+               gnome-common,
                python-support (>= 0.3),
                intltool (>= 0.40.0),
-               gnome-doc-utils (>= 0.3.2),
+               gnome-doc-utils (>= 0.9.0),
                gtk-doc-tools (>= 1.0),
                libenchant-dev (>= 1.2.0),
                iso-codes (>= 0.35),
-               libattr1-dev,
                libsm-dev (>= 2:1.0),
                libxml2-dev (>= 2.5.0),
-               libglib2.0-dev (>= 2.18.0),
-               libgtk2.0-dev (>= 2.13.0),
-               libgtksourceview2.0-dev (>= 2.4.0),
+               libglib2.0-dev (>= 2.23.1),
+               libgtk2.0-dev (>= 2.19.0),
+               libgtksourceview2.0-dev (>= 2.9.7),
                libgconf2-dev,
-               python-dev (>= 2.3),
+               libx11-dev,
+               python-dev (>= 2.5),
                python-gobject-dev (>= 2.15.4),
                python-gtk2-dev (>= 2.12.0),
-               python-gtksourceview2 (>= 2.2.0),
-               scrollkeeper
+               python-gtksourceview2 (>= 2.9.2),
+               scrollkeeper,
+               liblaunchpad-integration-dev (>= 0.1.17)
 Build-Depends-Indep: libglib2.0-doc,
                      libgtk2.0-doc,
                      libgtksourceview2.0-doc
-Standards-Version: 3.8.1
-XS-Python-Version: >= 2.3
+Standards-Version: 3.9.0
+XS-Python-Version: >= 2.5
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gedit/ubuntu
 Homepage: http://www.gnome.org/projects/gedit/
 
 Package: gedit
@@ -39,13 +48,13 @@
          ${shlibs:Depends},
          gedit-common (>= ${gnome:Version}),
          gedit-common (<< ${gnome:NextVersion}),
-         python-gtksourceview2 (>= 2.2.0),
+         python-gtksourceview2 (>= 2.9.2),
          python-gobject (>= 2.15.4),
          python-gtk2 (>= 2.12.0),
          iso-codes
 Replaces: gedit-common (<< 2.16.2-3)
 Conflicts: gedit-common (<= 2.10.5-1)
-Breaks: seahorse (<< 2.24), 
+Breaks: seahorse (<< 2.24),
         seahorse-plugins (<< 2.26)
 Recommends: zenity,
             python-gnome2
@@ -83,7 +92,7 @@
 Depends: ${misc:Depends},
          gedit (>= ${gnome:Version}),
          gedit (<< ${gnome:NextVersion}),
-         libgtksourceview2.0-dev (>= 2.2.0)
+         libgtksourceview2.0-dev (>= 2.8.0)
 Replaces: gedit-common (<< 2.16.2-3)
 Description: official text editor of the GNOME desktop environment (development files)
  gedit is a text editor which supports most standard editor features,

## gedit 2.30.4

=== debian/changelog ===
gedit (2.30.4-1squeeze1) stable; urgency=low

  * 10_pt_BR_po.patch: fix an important mistake in the Brazilian 
    Portuguese translation. Closes: #603502.

 -- Josselin Mouette <joss@debian.org>  Sun, 27 Feb 2011 12:14:35 +0100

gedit (2.30.4-1) unstable; urgency=low

  * New upstream translation release.
  * 90_autoreconf.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Sat, 02 Oct 2010 13:55:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,12 @@
 Source: gedit
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5.0.37.2),
                gnome-pkg-tools (>= 0.10),
-               dh-autoreconf,
-               gnome-common,
+               autotools-dev,
                python-support (>= 0.3),
                intltool (>= 0.40.0),
                gnome-doc-utils (>= 0.9.0),
@@ -31,14 +29,14 @@
                python-gobject-dev (>= 2.15.4),
                python-gtk2-dev (>= 2.12.0),
                python-gtksourceview2 (>= 2.9.2),
-               scrollkeeper,
-               liblaunchpad-integration-dev (>= 0.1.17)
+               scrollkeeper
 Build-Depends-Indep: libglib2.0-doc,
                      libgtk2.0-doc,
                      libgtksourceview2.0-doc
 Standards-Version: 3.9.0
 XS-Python-Version: >= 2.5
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gedit/ubuntu
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gedit/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gedit/
 Homepage: http://www.gnome.org/projects/gedit/
 
 Package: gedit
@@ -92,7 +90,7 @@
 Depends: ${misc:Depends},
          gedit (>= ${gnome:Version}),
          gedit (<< ${gnome:NextVersion}),
-         libgtksourceview2.0-dev (>= 2.8.0)
+         libgtksourceview2.0-dev (>= 2.4.0)
 Replaces: gedit-common (<< 2.16.2-3)
 Description: official text editor of the GNOME desktop environment (development files)
  gedit is a text editor which supports most standard editor features,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

binary-install/gedit::
	cd debian/gedit/usr/share/gedit-2 && mv gedit-bugreport.sh gedit-bugreport
	chmod 755 debian/gedit/usr/share/bug/gedit/script
	dh_pysupport -pgedit /usr/lib/gedit-2/plugins

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/gedit/([\d\.]+)[02468]/gedit-([\d\.]+)\.tar\.gz

## gedit 2.30.5+betsy

=== debian/changelog ===
gedit (2.30.5+betsy) petra; urgency=low

  * New logo
  * Generic menu item name

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Oct 2013 03:53:43 +0100

gedit (2.30.4) petra; urgency=low

  * 2.30.4

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Apr 2013 14:09:07 +0100

gedit (2.30.4-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #708401)
    - debian/control.in:
      + Bump gedit-dev depends on libgtksourceview2.0-dev (>= 2.8.0)
      + Build-Depends on dh-autoreconf, gnome-common.
      + Build-Depends on liblaunchpad-integration-dev.
      + Don't recommends python-gnome2 it's not used nowadays.
    - debian/rules:
      + Run autoreconf on build.
    - debian/patches/01_lpi.patch:
      + Launchpad integration.
    - debian/patches/02_gconf_import.patch:
      + Correct gconf import.
    - debian/patches/05_menu_label.patch:
      + Don't display in menu as "gedit Text Editor".
    - debian/patches/06_lp_401692.patch:
      + Default name of a new document is now 'Untitled Document'.
    - debian/patches/07_intltool.patch:
      + Don't use both Intltool and GNU gettext build system.
    - debian/patches/90_autoreconf.patch:
      + Dropped, autoreconf now runs on build.
    - debian/watch:
      + Watch unstable series.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 27 Jan 2011 00:34:24 +0100

gedit (2.30.4-2) unstable; urgency=low

  * Recommend yelp. Closes: #600055.
  * 10_pt_BR_po.patch: fix an important mistake in the Brazilian 
    Portuguese translation. Closes: #603502.

 -- Josselin Mouette <joss@debian.org>  Mon, 24 Jan 2011 21:18:12 +0100

gedit (2.30.4-1ubuntu3) natty; urgency=low

  * No-change rebuild for new python default

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 10 Dec 2010 12:58:38 +0100

gedit (2.30.4-1ubuntu2) natty; urgency=low

  * debian/patches/02_gconf_import.patch:
    - correct gconf import, thanks Jason Conti and LaserJock (lp: #654867)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Nov 2010 19:10:00 +0100

gedit (2.30.4-1ubuntu1) natty; urgency=low

  * Resynchronise on Debian
  * debian/control.in: don't recommends python-gnome2 it's not used nowadays

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Oct 2010 15:39:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gedit
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5.0.37.2),
                gnome-pkg-tools (>= 0.10),
-               autotools-dev,
+               dh-autoreconf,
+               gnome-common,
                python-support (>= 0.3),
                intltool (>= 0.40.0),
                gnome-doc-utils (>= 0.9.0),
@@ -35,8 +34,7 @@
                      libgtksourceview2.0-doc
 Standards-Version: 3.9.0
 XS-Python-Version: >= 2.5
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gedit/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gedit/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gedit/ubuntu
 Homepage: http://www.gnome.org/projects/gedit/
 
 Package: gedit
@@ -55,7 +53,7 @@
 Breaks: seahorse (<< 2.24),
         seahorse-plugins (<< 2.26)
 Recommends: zenity,
-            python-gnome2
+            yelp
 XB-Python-Version: ${python:Versions}
 Description: official text editor of the GNOME desktop environment
  gedit is a text editor which supports most standard editor features,
@@ -90,7 +88,7 @@
 Depends: ${misc:Depends},
          gedit (>= ${gnome:Version}),
          gedit (<< ${gnome:NextVersion}),
-         libgtksourceview2.0-dev (>= 2.4.0)
+         libgtksourceview2.0-dev (>= 2.8.0)
 Replaces: gedit-common (<< 2.16.2-3)
 Description: official text editor of the GNOME desktop environment (development files)
  gedit is a text editor which supports most standard editor features,

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/gedit/([\d\.]+)\d/gedit-([\d\.]+)\.tar\.gz

## gedit 2.30.5+qiana

=== debian/changelog ===
gedit (2.30.5+qiana) petra; urgency=low

  * New logo
  * Generic menu item name

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Oct 2013 03:53:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

## gedit 3.0.6

=== debian/changelog ===
gedit (3.0.6-2) unstable; urgency=low

  * debian/script: Fix path to gedit-bugreport script.

 -- Michael Biebl <biebl@debian.org>  Sat, 23 Jul 2011 00:04:43 +0200

gedit (3.0.6-1) unstable; urgency=low

  [ Mirco Bauer ]
  * Added gir1.2-pango-1.0 and gir1.2-gtksource-3.0 to dependencies as used by
    pythonconsole, externaltools and snippets plugins.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Update build dependencies and dependencies.
  * debian/gedit.dirs:
    - Removed, not needed.

  [ Josselin Mouette ]
  * 90_autoreconf.patch, 99_ltmain_as-needed.patch: dropped.
  * Break gedit-plugins < 2.91.

  [ Michael Biebl ]
  * debian/watch: Switch to .bz2 tarballs.
  * New upstream release.
  * debian/control.in:
    - Remove old Replaces which is no longer necessary.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Use ${gir:Depends} instead of hard coding the dependencies on the gir
      packages. Closes: #627978
    - Remove Build-Depends on libzeitgeist-dev for now as the runtime
      dependencies of that plugin are a bit heavy weight.
  * Bump debhelper compatibililty level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Rely on cdbs to call dh_girepository:
    - Bump Build-Depends on cdbs to (>= 0.4.90).
    - Pass private directories to dh_girepository to look for dependencies.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Jul 2011 19:40:13 +0200

gedit (3.0.0-1) experimental; urgency=low

  * New upstream release
  * Updated build-dependencies
  * Added gobject introspection integration
  * debian/patches/03_python_path.patch
    debian/patches/04_link_against_libICE.patch
    debian/patches/10_pt_BR_po.patch:
    - Dropped obsolete patches
  * debian/patches/90_autoreconf.patch
    debian/patches/99_ltmain_as-needed.patch:
    -  Refreshed

 -- Mirco Bauer <meebey@debian.org>  Sun, 10 Apr 2011 20:29:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,39 +2,43 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gedit
 Section: gnome
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
-Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 5.0.37.2),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Build-Depends: cdbs (>= 0.4.90),
+               debhelper (>= 8),
                gnome-pkg-tools (>= 0.10),
-               dh-autoreconf,
-               gnome-common,
+               autotools-dev,
                python-support (>= 0.3),
                intltool (>= 0.40.0),
                gnome-doc-utils (>= 0.9.0),
+               gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.0),
                libenchant-dev (>= 1.2.0),
                iso-codes (>= 0.35),
                libsm-dev (>= 2:1.0),
+               libice-dev,
                libxml2-dev (>= 2.5.0),
-               libglib2.0-dev (>= 2.23.1),
-               libgtk2.0-dev (>= 2.19.0),
-               libgtksourceview2.0-dev (>= 2.9.7),
-               libgconf2-dev,
+               libglib2.0-dev (>= 2.28.0),
+               libgtk-3-dev (>= 3.0.0),
+               libgtksourceview-3.0-dev (>= 3.0.0),
+               libpeas-dev (>= 0.7.3),
                libx11-dev,
                python-dev (>= 2.5),
-               python-gobject-dev (>= 2.15.4),
-               python-gtk2-dev (>= 2.12.0),
-               python-gtksourceview2 (>= 2.9.2),
+               python-gobject-dev (>= 2.28),
+               gobject-introspection,
+               libgirepository1.0-dev (>= 0.9.3),
                scrollkeeper
 Build-Depends-Indep: libglib2.0-doc,
-                     libgtk2.0-doc,
-                     libgtksourceview2.0-doc
-Standards-Version: 3.9.0
+                     libgtk-3-doc,
+                     libgtksourceview-3.0-doc
+Standards-Version: 3.9.2
 XS-Python-Version: >= 2.5
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gedit/ubuntu
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gedit/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gedit/
 Homepage: http://www.gnome.org/projects/gedit/
 
 Package: gedit
@@ -42,18 +46,17 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
+         ${gir:Depends},
          gedit-common (>= ${gnome:Version}),
          gedit-common (<< ${gnome:NextVersion}),
-         python-gtksourceview2 (>= 2.9.2),
-         python-gobject (>= 2.15.4),
-         python-gtk2 (>= 2.12.0),
+         gsettings-desktop-schemas,
+         python-gobject (>= 2.28),
+         gir1.2-peas-1.0,
          iso-codes
-Replaces: gedit-common (<< 2.16.2-3)
-Conflicts: gedit-common (<= 2.10.5-1)
-Breaks: seahorse (<< 2.24),
-        seahorse-plugins (<< 2.26)
 Recommends: zenity,
+            python-gnome2,
             yelp
+Breaks: gedit-plugins (<< 2.91)
 XB-Python-Version: ${python:Versions}
 Description: official text editor of the GNOME desktop environment
  gedit is a text editor which supports most standard editor features,
@@ -88,8 +91,8 @@
 Depends: ${misc:Depends},
          gedit (>= ${gnome:Version}),
          gedit (<< ${gnome:NextVersion}),
-         libgtksourceview2.0-dev (>= 2.8.0)
-Replaces: gedit-common (<< 2.16.2-3)
+         libgtksourceview-3.0-dev,
+         libpeas-dev
 Description: official text editor of the GNOME desktop environment (development files)
  gedit is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

binary-install/gedit::
	cd debian/gedit/usr/share/gedit && mv gedit-bugreport.sh gedit-bugreport
	chmod 755 debian/gedit/usr/share/bug/gedit/script
	dh_pysupport -pgedit /usr/lib/gedit/plugins

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-gtk-doc

DEB_DH_GIREPOSITORY_ARGS_gedit += -ldebian/tmp/usr/share/gedit/gir-1.0 /usr/lib/gedit/girepository-1.0

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/gedit/([\d\.]+[02468])/gedit-([\d\.]+)\.tar\.bz2

## gedit 3.2.0

=== debian/changelog ===
gedit (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Sep 2011 22:28:41 +0200

gedit (3.1.6-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/gedit.install: updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 19 Sep 2011 21:38:57 +0200

gedit (3.1.5-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Drop 07_revert_pygobject_bump.patch, we now do want to build against
    pygobject 3. Bump build dependency in debian/control.in accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Sep 2011 16:20:26 +0200

gedit (3.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * Refresh debian/patches/01_gedit-bugreport-location.patch
  * Revert upstream commit to bump the minimum pygobject version. It doesn't
    look like anything actually requires it, so we don't need to block
    on the new version
    - add debian/patches/07_revert_pygobject_bump.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 22 Aug 2011 13:09:05 +0100

gedit (3.1.3-0ubuntu1) oneiric; urgency=low

  * New upstream version, clean patches which are in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Aug 2011 11:48:53 +0200

gedit (3.1.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control.in:
    - Bump libpeas requirement to 1.1.0
  * debian/patches/07_unity_quicklist.patch:
    - Refreshed and stopped from patching a generated version of the
      desktop file

 -- Michael Terry <mterry@ubuntu.com>  Tue, 12 Jul 2011 15:21:03 -0400

gedit (3.1.1-0ubuntu4) oneiric; urgency=low

  * debian/rules
    - Call dh_python2 twice to build for both public and private
      modules.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 28 Jun 2011 04:36:52 +0100

gedit (3.1.1-0ubuntu3) oneiric; urgency=low

  * debian/control.in, debian/rules
    - Convert to dh_python2.  (LP: #788514)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 27 Jun 2011 16:30:43 +0100

gedit (3.1.1-0ubuntu2) oneiric; urgency=low

  * debian/patches/07_unity_quicklist.patch: Add Unity static quicklist
    items for Create a New Document and Open a New Window. 

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Tue, 07 Jun 2011 17:54:14 +0530

gedit (3.1.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control.in:
    - Require GTK+ 3.1.6
  * debian/watch:
    - Look at unstable releases too

 -- Michael Terry <mterry@ubuntu.com>  Mon, 27 Jun 2011 05:29:37 -0400

gedit (3.0.5-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Fri, 17 Jun 2011 10:16:57 +0200

gedit (3.0.4-0ubuntu2) oneiric; urgency=low

  * control.in: recommends gir1.2-gtksource-3.0 (lp: #791760)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Jun 2011 12:41:04 +0200

gedit (3.0.4-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/patches/07_intltool.patch:
    - Remove upstreamed patch

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 01 Jun 2011 10:14:40 +0200

gedit (3.0.3-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 May 2011 13:44:08 +0200

gedit (3.0.2-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 May 2011 12:48:15 +0200

gedit (3.0.0-1ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian, remaining diffs
  * debian/control.in:
    - Build-Depends on dh-autoreconf, gnome-common, liblaunchpad-integration
    - Conflicts gir1.2-gedit-3.0 for ppa upgrades, Debian ship the gir in gedit
    - don't Recommends python-gnome2
    - don't Build-Depends on libgconf2-dev nor libx11-dev
  * debian/gedit.install:
    - install the gi override
  * debian/patches/01_lpi.patch:
    - Launchpad integration
  * debian/patches/05_menu_label.patch:
    - Don't display in menu as "gedit Text Editor"
  * debian/patches/06_lp_401692.patch:
    - Default name of a new document is now 'Untitled Document'.
  * debian/patches/07_intltool.patch:
    - Don't use both Intltool and GNU gettext build system
  * debian/patches/90_autoreconf.patch:
    - Obsolete as run from debian/rules
  * debian/rules:
    - Use autoreconf.mk

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 May 2011 12:36:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Source: gedit
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: cdbs (>= 0.4.90),
-               debhelper (>= 8),
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Build-Depends: cdbs (>= 0.4.90~),
+               debhelper (>= 5.0.37.2),
                gnome-pkg-tools (>= 0.10),
-               autotools-dev,
-               python-support (>= 0.3),
+               dh-autoreconf,
+               gnome-common,
                intltool (>= 0.40.0),
                gnome-doc-utils (>= 0.9.0),
                gsettings-desktop-schemas-dev,
@@ -20,25 +21,24 @@
                libenchant-dev (>= 1.2.0),
                iso-codes (>= 0.35),
                libsm-dev (>= 2:1.0),
-               libice-dev,
                libxml2-dev (>= 2.5.0),
                libglib2.0-dev (>= 2.28.0),
-               libgtk-3-dev (>= 3.0.0),
+               libgtk-3-dev (>= 3.1.6),
                libgtksourceview-3.0-dev (>= 3.0.0),
-               libpeas-dev (>= 0.7.3),
+               libpeas-dev (>= 1.1.0),
                libx11-dev,
-               python-dev (>= 2.5),
-               python-gobject-dev (>= 2.28),
+               python-dev (>= 2.6.6-3~),
+               python-gobject-dev (>= 2.90.2),
                gobject-introspection,
                libgirepository1.0-dev (>= 0.9.3),
-               scrollkeeper
+               scrollkeeper,
+               liblaunchpad-integration-3.0-dev
 Build-Depends-Indep: libglib2.0-doc,
                      libgtk-3-doc,
                      libgtksourceview-3.0-doc
-Standards-Version: 3.9.2
-XS-Python-Version: >= 2.5
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gedit/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gedit/
+Standards-Version: 3.9.0
+X-Python-Version: >= 2.5
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gedit/ubuntu
 Homepage: http://www.gnome.org/projects/gedit/
 
 Package: gedit
@@ -46,18 +46,19 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
-         ${gir:Depends},
          gedit-common (>= ${gnome:Version}),
          gedit-common (<< ${gnome:NextVersion}),
-         gsettings-desktop-schemas,
          python-gobject (>= 2.28),
+         gir1.2-glib-2.0,
          gir1.2-peas-1.0,
+         gir1.2-gtk-3.0,
          iso-codes
-Recommends: zenity,
-            python-gnome2,
+Conflicts: gir1.2-gedit-3.0
+Breaks: seahorse (<< 2.24),
+        seahorse-plugins (<< 2.26),
+Recommends: gir1.2-gtksource-3.0,
+            zenity,
             yelp
-Breaks: gedit-plugins (<< 2.91)
-XB-Python-Version: ${python:Versions}
 Description: official text editor of the GNOME desktop environment
  gedit is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually
@@ -93,6 +94,7 @@
          gedit (<< ${gnome:NextVersion}),
          libgtksourceview-3.0-dev,
          libpeas-dev
+Replaces: gedit-common (<< 2.16.2-3)
 Description: official text editor of the GNOME desktop environment (development files)
  gedit is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_PYTHON2_MODULE_PACKAGES = gedit

binary-install/gedit::
	cd debian/gedit/usr/share/gedit && mv gedit-bugreport.sh gedit-bugreport
	chmod 755 debian/gedit/usr/share/bug/gedit/script
	dh_python2
	dh_python2 -pgedit /usr/lib/gedit/plugins

binary-predeb/gedit::
	dh_girepository -ldebian/tmp/usr/share/gedit/gir-1.0 /usr/lib/gedit/girepository-1.0

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-gtk-doc

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/gedit/([\d\.]+)/gedit-([\d\.]+)\.tar\.bz2
